Main Page Widgets Namespaces Book

# filefilter.h File Reference

## Namespaces

namespace | Glib
namespace | Gtk

## Enumerations

enum | FileFilterFlags { FILE_FILTER_FILENAME = 1 << 0, FILE_FILTER_URI = 1 << 1, FILE_FILTER_DISPLAY_NAME = 1 << 2, FILE_FILTER_MIME_TYPE = 1 << 3 }

## Functions

FileFilterFlags | operator& (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags& | operator&= (FileFilterFlags& lhs, FileFilterFlags rhs)
FileFilterFlags | operator^ (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags& | operator^= (FileFilterFlags& lhs, FileFilterFlags rhs)
FileFilterFlags | operator| (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags& | operator|= (FileFilterFlags& lhs, FileFilterFlags rhs)
FileFilterFlags | operator~ (FileFilterFlags flags)